#ifndef __FLOAT_H_
#define __FLOAT_H_

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "main.h"
#include "stm32f4xx.h"
#include "elog.h"

void StrExtFloat(float *num,char* Str);
void Str2Float(float *num,char* Str);

void Int2FloatByCoeff(float *fnum,  uint32_t num, uint8_t coeff);


void Float2Str(float fnum, char *str);
void float2char(float value,char* cSendBuff, int Decimals);

 void test_float();
#endif